%Coorection for the last lecture:
%For $M$ a topological space, we have
%\begin{align*}
%  \Pic^{\mathrm{top}}(M) = \set{\text{complex line bdls on $M$}}/\sim  \\
%  \Pic^{\mathrm{top}}S^1 \times S^1 = \Z
%\end{align*}
\begin{proof}[Proof of \Cref{picss}.]
  For injectivity,
  let $P,Q \in C$ such that $\MO(P-P_\infty) \cong \MO(Q-P_\infty)$, which is equivalent to $\MO(P) \cong \MO(Q)$. Now use \Cref{picssinj}.

  For surjectivity,
  let $\L \in \Pic^0(C)$.
  We have $\Pic^0(C) \cong (\CaDiv(C)/\sim) \cong (\Cl(C)/\sim)$.
  Therefore $\L = \MO(P_1 + \dotsb + P_r - Q_1 - \dotsb - Q_s)$, (arbitrary divisor), and since $\deg \L = 0$, we have $r=s$, so we have $\L = \MO((P_1-P_\infty)+(P_2 -P_\infty) + \dotsb + (P_r-P_\infty) -(Q_1 - P_\infty) - \dotsb - (Q_r - P_\infty))$.

  \textbf{Step 1} (see \Cref{step1pic}).
  Given $Q$, turn $\MO(-(Q-P_\infty))$ into $\MO(\tilde Q - P_\infty)$.
  
  We want to find $\tilde Q \in $ such that $\MO(-(Q-P_\infty)) \cong \MO(\tilde Q - P_\infty)$ or equivalently $\MO(2P_\infty) \cong \MO(Q+\tilde Q)$. This is possible since for a line $L$, we have $L\cap C = Q + \tilde Q + P_\infty$ and $\MO(3P_\infty) = \res{\MO(L^\prime)}{C} = \res{\MO(1)}{C} = \res{\MO_{\PR^2}(L)}{C} = \MO(Q+\tilde Q + P_\infty)$, with $L^\prime = \set{z=0}$, $L\cap C = 3P_\infty$.
  As a consequence, we can write
  $\L \cong \MO((P_1 - P_\infty)+ \dotsb + (P_t - P_\infty))$ for some $P_i \in C$.

	\begin{figure}[h]
		\centering
		\begin{tikzpicture}
		\begin{axis}[
		xmin=-1.5,
		xmax=2.5,
		ymin=-3,
		ymax=3,
		xlabel={},
		ylabel={},
		axis equal,
		yticklabels={,,},
		xticklabels={,,},
		axis lines=middle,
		samples=200,
		smooth,
		clip=false,
		]
		\addplot [thick, domain=-1:0] {sqrt(x^3-x)};
		\addplot [thick, domain=-1:0] {-sqrt(x^3-x))};
		\addplot [thick, domain=1:2] {sqrt(x^3-x)};
		\addplot [thick, domain=1:2] {-sqrt(x^3-x))};
		\addplot [thick, domain=-1.5:2.5] {0.3*x};
		\end{axis}
		\draw (2.9,2.9)  node[below right]{$P_0$};
		\draw (1.6,2.5) node[below right]{$\tilde Q$};
		\draw (3.7,3.4) node{$Q$};
		\end{tikzpicture}
		\caption{Construction of the point $\tilde Q$} \label{step1pic}
	\end{figure}

  \textbf{Step 2} (see \Cref{step2pic}).
  Given $P_1,P_2 \in C$, find $P_3 \in C$ such that $\MO((P_1 - P_\infty) +(P_2 + P_\infty)) \cong \MO(P_3 - P_\infty)$.
  
  We need to find $P_3$ such that $\MO(P_1 + P_2) \cong \MO(P_3 + P_\infty)$.
  We have $\MO(P_1 + P_2 + Q) = \res{\MO(L)}{C} = \res{\MO(L^\prime)}{C} \cong \MO(P_3 + Q + P_\infty)$.
  \begin{figure}[h]
  	\centering
  	\begin{tikzpicture}
  	\begin{axis}[
  	xmin=-1.5,
  	xmax=2.5,
  	ymin=-3,
  	ymax=3,
  	xlabel={},
  	ylabel={},
  	axis equal,
  	yticklabels={,,},
  	xticklabels={,,},
  	axis lines=middle,
  	samples=200,
  	smooth,
  	clip=false,
  	]
  	\addplot [thick, domain=-1:0] {sqrt(x^3-x)};
  	\addplot [thick, domain=-1:0] {-sqrt(x^3-x))};
  	\addplot [thick, domain=1:2] {sqrt(x^3-x)};
  	\addplot [thick, domain=1:2] {-sqrt(x^3-x))};
  	\addplot [thick, domain=-1.5:2.5] {0.3*x};
  	\addplot [thick, domain=-1.5:2.5] {0.31};
  	\end{axis}
  	\draw (2.8,3.6) node {$P_2$};
  	\draw (1.8,3.4) node {$P_1$};
  	\draw (2.9,2.9)  node[below right]{$P_0$};
  	\draw (1.6,2.5) node[below right]{$P_3$};
  	\draw (3.7,3.4) node{$Q$};
  	\end{tikzpicture}
  	\caption{Construction of $P_3$} \label{step2pic}
  \end{figure}
\end{proof}
\begin{remark}
  The set $\Pic^0(C)$ is a group with respect to $\otimes, (-)^\vee$.
  Hence $C(k)$ has a unique group structure $(C(k),\oplus,\ominus)$ such that $\varphi$ is an isomorphism of groups.
  Here, $P_1 \oplus P_2 = P_3$ is defined as before and $\varphi(P_1 \oplus P_2) = \varphi(P_1) \otimes \varphi(P_2) = \MO(P_1 - P_\infty) \otimes \MO(P_2 - P_\infty) = \MO(P_3 - P_\infty)$.
  Furthermore, $\ominus P = \sigma_{P_\infty}(P)$, where $\sigma_{P_\infty}$ is the covering involution of the projection away from $P_\infty$ (in practive $Q \mapsto \tilde Q$ as in step 1).
  As a map of schemes:
  \begin{equation*}
    \ominus := \sigma_{P_\infty} \colon C \longrightarrow C
  \end{equation*}
  Let $P \in C$ be a point.
  Define
  \begin{align*}
    \tau_P := \sigma_{P_\infty} \circ \sigma_P \colon C &\to C \\
    C(k) \ni Q &\mapsto P \oplus Q
  \end{align*}
  One can actually upgrade this to a map of schemes $\oplus \colon C\times C \to C$.
\end{remark}
\begin{remark}
  Over $\C$.
  \begin{equation*}
    E = \C / \bigwedge \xrightarrow{\text{$\exists$ analytic emb}} \PR^2(\C)
  \end{equation*}
  The left side is a complex $1$-dimensional manifold, and the image is a plane cubic
\end{remark}
\begin{remark}
  If $g(C) > 1$, then $\varphi$ is not surjective.
  \begin{align*}
    C^g/S_g = \Sym^g(C) &\longrightarrow \Pic^0(C) \; \text{as scheme (Jacobian)}  \\
    P_1 + \dotsb P_g & \longmapsto \MO(P_1 + \dotsb + P_g - g \cdot P_\infty) \; ,
  \end{align*}
  is birational $P_\infty$ is a fixed point).
\end{remark}
\chapter{Serre Duality}
\section{Motivation: Serre Duality and Riemann-Roch-Theorem}
\begin{itemize}
\item Compare the arithmetic genus $h^1(C,\MO_C)$ with the geometric genus $h^0(C,\Omega_C)$ of a curve $C$.
\item Let $f \colon C \to C^\prime$ be a nonconstant morphism of normal curves, separable.
  We want to study the relation between genera of $C$ and $C^\prime$.
  We know \[\begin{tikzcd} 0 \arrow{r} & f^\ast\Omega_{C^\prime} \arrow{r} & \Omega_C \arrow{r}& \Omega_{C/C^\prime} \arrow{r} & 0 \end{tikzcd}\]
  Problem: We cannot control $h^1(C,\Omega_C)$ and $h^1(C^\prime,\Omega_{C^\prime})$.
\item Embedding into projective space
\end{itemize}
Let $C$ be a smooth projective curve over $k$.
\begin{theorem}[Riemann-Roch]
We have \[ \chi(\MO(D)) = \deg(D) + 1 -p_a(C) \] for any divisor $D$.
\end{theorem}
\begin{theorem}[Serre duality]
We have an isomorphism \[H^1(C,\MO(D)) \cong H^0(C,\MO(-D)\otimes \omega_C)^\vee \,, \] for any divisor $D$ and the isomorphism only depends on $\tr$.

The cup product \[ H^1(C,\MO(D) \otimes H^0(C,\MO(-D)\otimes \omega_C) \xrightarrow{\cup} H^1(C,\omega_C) \xrightarrow[\sim]{\tr} k \] is a perfect pairing..
\end{theorem}
\begin{theorem}[Hirzebruch-Riemann-Roch]
Let $X$ be a smooth projective variety over $k$, $\F$ a coherent sheaf. Then
\[\chi(X,\F) = \int_X \operatorname{ch}(\F)\operatorname{td}(T_X) \,.\]
\end{theorem}
\begin{theorem}[Serre duality, more general]
	We have an isomorphism \[\Ext^i(\F,\omega_X) \cong H^{n-i}(X,\F)^\vee \, .\]
	If $\F$ is locally free this becomes $H^i(X,\F^\vee \otimes \omega_X) \cong H^{n-1}(X,\F)^\vee$ where $n = \dim X$.
\end{theorem}
\begin{remark}
	The topological analog (for Riemann-Roch and Serre duality) is for $M$ a smooth compact manifold, we have \[ \chi_{\mathrm{top}}(M) = \int_M e(T_M) \] and
		\[ H^i(M,\R) \cong H_{n-i}(M,\R)^\vee \] and also
	\[H^i(M,\R) \otimes H^{n-i}(M,\R) \xrightarrow{\cup} H^n(M,\R) \xrightarrow{\int} \R\] is a perfect pairing.
\end{remark}
\begin{remark}
  Why is $\chi_\top(M) = \int_M e(M)$ the topological analog of the Hirzebruch-Riemann-Roch theorem?
  Consider $\Omega_M^i = \bigwedge^i\Omega_M$, the sheaf of differentiable $i$-forms.
  The Poincaré-lemma gives us that $\Omega_M^{i-1} \xrightarrow{d} \Omega_M^i \xrightarrow{d} \Omega_M^{i+1}$ is exact.
  $\Omega_M^i$ is $\Gamma$-acyclic for all $i$.
  Therefore
  \begin{equation*} \begin{tikzcd}
  0 \arrow{r} & \underline{\R} \arrow{r} & \MO_M \arrow{r}{d} \Omega_M \arrow{r}{d} & \Omega^2_M \arrow{r} & \dotsb \arrow{r} & \Omega^n_M \arrow{r}& 0 \end{tikzcd}
\end{equation*}
is exact, and we have a $\Gamma$-acyclic resolution of $\underline{\R}$.
We have
\begin{align*}
  H^i(M,\underline{\R}) &= H^i(\Gamma(\Omega_M^\bullet))  \\
                        &= \frac{\ker(\Gamma(\Omega^i_M) \to \Gamma(\Omega^{i+1}_M))}{\im(\Gamma(\Omega^{i-1}_M) \to \Gamma(\Omega^i_M))}  \\
                        &= H^i_{\mathrm{deRham}}(M,\underline{\R}) \; .
\end{align*}
Therefore $b_i(M) = \dim_\R H^i(M,\R)$.
$\chi_{\cat{Top}}(M) = \chi(M,\R)$.
\end{remark}

\begin{theorem}[Grothendieck-Riemann-Roch]
Let $f \colon X \to Y$ be proper, $X$, $Y$ be smooth varieties over $k$ (before, $Y = \pt = \Spec k$). Then \[ \operatorname{ch}(f_\ast(\alpha))\operatorname{td}(T_Y) = f_\ast(\operatorname{ch}(\alpha) + d(T_X)) \,,\] where we take relative cohomology, $\alpha \in K(X)$ [CONT]
\end{theorem}

%Let $C$ be of genus $g$ then $\varphi \colon \Sym^g(C) \to \Pic^0(C)$ is surjective
\section{$\Extc$-Sheaves}
Let $A$ be a ring, $N$ an $A$-module.
\begin{definition} Let
  \begin{equation*}
    \Ext^i_A(N,-) \colon A\strich\Mod \to A\strich\Mod
  \end{equation*}
  be the $i$-th right-derived functor of $\Hom_A(M,-)$.
\end{definition}
\begin{remark}
	Let $M \xrightarrow{f} M^\prime$.
	Then $\Hom(N,M) \to \Hom(N,M^\prime)$, $(g\colon N \to M) \mapsto (N\to M\to M^\prime)$, so $\Hom(N,-)$ is covariant, so $\Ext^i(N,-)$ is covariant.

	Let $N^\prime \to N$.
	Then $\Hom(N,-) \to \Hom(N^\prime,-)$, and $\Ext^i(N,-) \to \Ext^i(N^\prime,-)$, so $\Ext^i(-,-)$ is contravariant in the first entry.
\end{remark}
\begin{remark} We also have
  \[\Ext_A(N,M) = \set{\text{$0 \to M \to U \to N \to 0$ s.e.s. of $A$-modules}}/\sim \], where $\sim$ is the relation defined by
  \begin{equation*}
    \begin{tikzcd}
      0 \ar[r] & M \ar[d,equals] \ar[r] & U \ar[d, "\sim"] \ar[r] & N \ar[d,equals] \ar[r] & 0 \\
      0 \ar[r] & M \ar[r] & U^\prime \ar[r] & N \ar[r] & 0
    \end{tikzcd}
  \end{equation*}
\end{remark}
\begin{lemma}
	  There exists $\Ext^1(N,M) \xleftrightarrow[S]{R} \Ext(N,M)$, canonical bijections.
\end{lemma}
\begin{proof}[Proof, sketch.]
  Definition of $S$:
  Let $E = [0 \to M \to U \to N]$ be the short exact sequence.
  Apply $\Hom(N,-)$ and we get $\dotsb \to \Hom(N,N) \xrightarrow{\delta} \Ext^1(N,M) \to \Ext^1(N,U) \to \dotsb$, and we define $S(E) = \delta(\id_N)$.

  Definition of $R$:
  Let $\alpha \in \Ext^1(N,M)$.
  Let
  \begin{equation*} \label{star0603}
    \begin{tikzcd}
      0 \ar[r] & M \ar[d,equals] \ar[r,hookrightarrow] & I  \ar[r] & I/M \ar[r] & 0 \\
      0 \ar[r] & M \ar[r] & U \ar[u] \ar[r] & N \ar[u,"\tilde \alpha"] \ar[r] & 0
    \end{tikzcd}
  \end{equation*}
  with $I$ injective.
  We define $R(\alpha)$ as the lower exact sequence, with
  $U = \ker(I \oplus N \to I/M)$.
  $\Hom(N,I) \to \Hom(N,I/M) \to \Ext^1(N,M) \to 0$, $\alpha \in \Ext^1(N,M)$ then $\tilde \alpha \in \Hom(N,I/M)$ is the lift of $\alpha$.

  Then for calculating $S(R(\alpha))$ we apply $\Hom(N,-)$ to \ref{star0603}:
  \begin{equation*}
    \begin{tikzcd}
      \Hom_A(N,I/M) \ar[r] & Ext^1(N,M) \ar[d,equals]  \\
      \Hom_A(N,N) \ar[u,"\tilde \alpha \circ (-)"] \ar[r,"\delta"] & \Ext^1(N,M)  \\
      \id_N \ar[r,mapsto] & S(R(\alpha))
    \end{tikzcd}
  \end{equation*}
  so $S(R(\alpha)) = \alpha$.
  The other direction, $R(S(\alpha)) = \alpha$ is left as an exercise.
\end{proof}
We will now generalize this schemes. Let $(X,\MO_X)$ be a scheme.
\begin{definition}
  Let $\F \in \MO_X\strich\Mod$ and write $A = \MO_X(X)$.
  Define
  \begin{align*}
    \Ext^i(\F,-) \colon \MO_X\strich\Mod &\to A\strich\Mod  \\
    \Extc^i(\F,-) \colon \MO_X\strich\Mod & \to \MO_X\strich\Mod   %Ext is cursive or something here
  \end{align*}
  as the $i$-th right derived functor of $\Hom_{\MO_X}(\F,-)$ and $\Homc_{\MO_X}(\F,-)$, respectively.
\end{definition}
\begin{remark}
  $\Ext^1(\F,\G) = \set{\text{$0 \to \F \to \mathcal U \to \G \to 0$ s.e.s. of $\MO_X\strich\Mod$}}/\sim$
\end{remark}
\begin{remark}
  $\Hom(\MO_X,\G) = \Gamma(X,\G)$, therefore $\Hom(\MO_X,-) = \Gamma$, so $\Ext^i(\MO_X,-) = H^i(X,-)$.
\end{remark}
\begin{remark}
  $\Homc_X(\MO_X,-) = \id_{\MO_X-\Mod}$, so $\Extc^i(\MO_X,-) = 0$ for all $i >0$.
\end{remark}
\begin{remark}
  $\Gamma \circ \Homc_{\MO_X}(\F,-) = \Hom_X(\F,-)$.
  There exists a spectral sequence relating $H^i(X,\Extc^j(\F,\G))$ to $\Ext_X^{i+j}(\F,\G)$.
\end{remark}
%\begin{lemma}
%	For $U \subset X$ an open subset, we have \[\Extc_{\MO_U}(\res{\F}U,\res{(-)}U) = \res{\Extc_{\MO_X}^i(\F,-)}U \,. \]
%\end{lemma}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "alggeo_master"
%%% End:
